## mingw-w64-python-referencing-0.36.1-1.src.tar.zst

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/referencing/docs/requirements.txt docs/requirements.in
alabaster==1.0.0
    # via sphinx
attrs==24.3.0
    # via referencing
babel==2.16.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.12.14
    # via requests
charset-normalizer==3.4.1
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.8.6
    # via -r docs/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.5
    # via sphinx
lxml==5.3.0
    # via sphinx-json-schema-spec
markupsafe==3.0.2
    # via jinja2
packaging==24.2
    # via sphinx
pyenchant==3.3.0rc1
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.18.0
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
referencing @ file:.#egg=referencing
    # via -r docs/requirements.in
requests==2.32.3
    # via
    #   sphinx
    #   sphinxcontrib-spelling
rpds-py==0.22.3
    # via referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.6
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2024.1.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-spelling==8.0.1
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.1
    # via -r docs/requirements.in
url-py==0.14.1
    # via -r docs/requirements.in
urllib3==2.3.0
    # via requests
